org.eclipse.ease.debugging

## Class AbstractEaseDebugger.ThreadState

- java.lang.Object
- - org.eclipse.ease.debugging.AbstractEaseDebugger.ThreadState

Enclosing class:
  AbstractEaseDebugger

    public class AbstractEaseDebugger.ThreadState
    extends java.lang.Object

### Field Summary

Fields
`ScriptStackTrace` `fExceptionStacktrace`
`int` `fResumeLineNumber`
`ScriptStackTrace` `fResumeStack`
`int` `fResumeType`
`ScriptStackTrace` `fStacktrace` Stacktrace is not set entirely, but incrementally updated by clients.
`boolean` `fSuspended`

### Constructor Summary

Constructors
Constructor and Description
`ThreadState()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fStacktrace

    public ScriptStackTrace fStacktrace

Stacktrace is not set entirely, but incrementally updated by clients.

#### fExceptionStacktrace

    public ScriptStackTrace fExceptionStacktrace

#### fResumeType

    public int fResumeType

#### fResumeLineNumber

    public int fResumeLineNumber

#### fSuspended

    public boolean fSuspended

#### fResumeStack

    public ScriptStackTrace fResumeStack

### Constructor Detail

#### ThreadState

    public ThreadState()